import 'package:first_project/data/repositories/api_interface.dart';
import 'package:first_project/domain/models/home.dart';
import 'package:first_project/presentation/home_page/home_page.dart';
import 'package:flutter/material.dart';

class MockRepository extends ApiInterface {
  @override
  Future<HomeData?> loadData({OnErrorCallback? onError}) async {
    return HomeData(data: [
      const CardData(
        "First",
        score: 5,
        description: "SomeText",
      ),
      const CardData(
        "Second",
        score: 8,
        icon: Icons.gamepad,
        description: "ManyText",
        imageUrl: "https://i.pinimg.com/originals/21/73/24/217324138d1bbc91663d4943ebe5de60.jpg",
      ),
      const CardData(
        "Third",
        score: 9,
        icon: Icons.offline_bolt_outlined,
        description: "Wow >_<",
      ),
    ]);
  }
}
